### Class

# Handy ValueObject

since: 1.0

#### Description [src]

    final class Handy.ValueObject : GObject.Object
    {
      /* No available fields */
    }

An object representing a `GValue`.

The `HdyValueObject` object represents a `GValue`, allowing it to be used with `GListModel`.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### hdy_value_object_new

Creates a new `HdyValueObject`.

since: 1.0

###### hdy_value_object_new_collect

Creates a new `HdyValueObject`.

since: 1.0

###### hdy_value_object_new_string

Creates a new `HdyValueObject`.

since: 1.0

###### hdy_value_object_new_take_string

Creates a new `HdyValueObject`.

since: 1.0

#### Instance methods

###### hdy_value_object_copy_value

Copy data from the contained `GValue` into `dest`.

since: 1.0

###### hdy_value_object_dup_string

Gets a copy of the contained string if the value is of type `G_TYPE_STRING`.

since: 1.0

###### hdy_value_object_get_string

Returns the contained string if the value is of type `G_TYPE_STRING`.

since: 1.0

###### hdy_value_object_get_value

Return the contained value.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Handy.ValueObject:value

The contained value.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandyValueObjectClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.